PROBE::TCP.RECEIVE(3stap)

NAME
probe::tcp.receive - Called when a TCP packet is received

SYNOPSIS

tcp.receive

VALUES

family
    IP address family

iphdr
    IP header address

dport
    TCP destination port

sport
    TCP source port

fin
    TCP FIN flag

protocol
    Packet protocol from driver

syn
    TCP SYN flag

psh
    TCP PSH flag

saddr
    A string representing the source IP address

daddr
    A string representing the destination IP address

ack
    TCP ACK flag

rst
    TCP RST flag

urg
    TCP URG flag

name
    Name of the probe point

SEE ALSO
tapset::tcp(3stap)